kopete irc plugin

Chat & Messenging

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

1
Score 50.0%
Description:

Kopete IRC plugin. Requires libircclient-qt-0.3.2:

http://bitbucket.org/jpnurmi/libircclient-qt/wiki/Home

Please donate for honoring several weeks of work and motivation for making the plugin better.

Now with packages on opensuse buildservice project home:cyberbeat.

After compilation you may simply create a rpm/deb/.. package by calling "cpack -G RPM"
Last changelog:

10 years ago

0.1.2: better handling (gui updates) for large channels/server-messages, work on kopete modifications
0.1.1: cmakefile changes
0.1: The first version supports only a minimal feature set, some things are still missing, and the code has to be refactored for the next version.

joergm2706

9 years ago

Back again, and I have to recognize that nothing happened. The newer *lib is still unsupported. Perhaps it would be better to write directly to the kopete maintainers, because support for the irc protocol should be included in kopete itsself out-of-the-box and not via additional plugin.

Report

mmmGoode

9 years ago

Hi,
an irc plugin for kopete would be superb! as there is no reasonable alternative now for kde4 (speaking about kopete only,sure).

Could you please update kopete-plugins-irc to the newest release of libircclient-qt which is now at 0.5, the working one so far seems to be 0.3.2.

I believe many distributions bundle the new version and this would help many people use the kopete plugin.

Many thanks!
Regards, marek

Report

joergm2706

9 years ago

Sorry, but the installation failed on Kubuntu 10.10. "Maverick". The file "libircclient" is not available on Kubuntu, instead of this there's a package (the successor) called "libircclient1". Is it possible to adjust the install script? Provided that your plugin works with it.

Report

krzywda

9 years ago

mayby anyone have deb x32 ubuntu with this plugin ? why this plugin is not on ubuntu repository

Report

raygo1975

9 years ago

I am on the last steps to install your irc client for kopete. I have found and downloaded/installed qmake, found and downloaded/installed libircclient-qt 0.3.2
Now I am about to compile your code. I am a newbie and have never used cmake. What options if any do i need to use and do I just run cmake from the irc directory created by the tar file for the irc client? should I run cmake with sudo?
I really do not want to mess this up after all the work it took to get this far.
Thank you in advance for any help.

Report

raygo1975

9 years ago

I saw that cmake had an -i option which runs it in wizard mode so I tried that and took all the defaults at all the prompts for input. I then tried to do a cpack -G DEB but it asked for a package name. So I did a make (i saw that the cmake had created a make file) followed by sudo make install.
The sudo make install failed with the message :make: *** No rule to make target `install'. Stop.

I am going to stop now and wait for you to respond so I do not do any more damage.

Report

dieu

10 years ago

Wondering if there is a new release of this great project :)

Report

C

cyberbeat

10 years ago

nice to hear you like it. for me it serves its purpose. I would be glad, if someone likes to take over this project. There is already a new version of libircclient-qt. some donations could also motivate me to implement some new features.

Report

dieu

10 years ago

Yes i saw, libircclient-qt 0.4, does kopete-irc compiles okay with it?

Report

C

cyberbeat

10 years ago

no, I think it will not.

Report

bigmalletman

10 years ago

Running Kopete 1.0.0 on either KDE 4.4.3 or 4.3.5. OpenSuse 11.2 RPM.

Upon trying to connect to IRC, Kopete crashes. strace shows:

kopete: symbol lookup error: /usr/lib64/kde4/kopete_irc.so: undefined symbol: _ZN9QListData7detach3Ev

Report

C

cyberbeat

10 years ago

from which repository did you install kopete? and from where libircclient-qt? If all other fails, you have to compile it by yourself.

Report

bigmalletman

10 years ago

I compiled it myself and replaced the .so file. It is now functioning. Thanks.

Report

bigmalletman

10 years ago

I got Kopete on my 4.4.3 from here: http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.2/x86_64/

My friend who tested it on 4.3.5 was using standard opensuse 11.2.

Report

bigmalletman

10 years ago

I used the one click install above (so, from here: http://download.opensuse.org/repositories/home:/cyberbeat/openSUSE_11.2/x86_64). I can compile this myself if need be (I did for xfire), but I try to use YaST whenever possible.

Report

C

cyberbeat

10 years ago

I have found a bug in kopete, which make this plugin always connect without password. I hope this will be fixed soon, so that the password from configuration will be used.

Report

bugmenot1234

10 years ago

after much pain i got the plugin to compile. i can see a "/usr/local/lib/kde4/kopete_irc.so" being created. however, no sign of irc in kopete, neither in "protocols" nor in "plugins". do i have to copy the created lib somewhere? or recompile kopete? help!

manuel

Report

C

cyberbeat

10 years ago

do you have installed kopete in /usr/local? if not you should configure cmake to install it in /usr (run ccmake)

Report

C

cyberbeat

10 years ago

have to correct myself:

"do you have installed kopete in /usr/local? if not you should configure cmake to install it in /usr (run ccmake)"

means

"do you have installed kopete in /usr/local? if not you should configure cmake to install the irc-plugin in /usr (run ccmake)"

Report

bugmenot1234

10 years ago

..i cant edit my posts here?

thats what ccmake tells me how it compiles the irc-plugin:

Quote:
Automoc4_DIR */usr/lib/automoc4
CMAKE_BACKWARDS_COMPATIBILITY *2.4
CMAKE_BUILD_TYPE *
CMAKE_INSTALL_PREFIX */usr/local
EXECUTABLE_OUTPUT_PATH *
IRCCLIENT_INCLUDE_DIR */usr/include/ircclient-qt
IRCCLIENT_LIBRARY */usr/lib/libircclient-qt.so
KDE4_BUILD_TESTS *OFF
KDE4_DATA_DIR */usr/share/kde4/apps
KDE4_ENABLE_FINAL *OFF
KDE4_ENABLE_FPIE *OFF
KDE4_ENABLE_HTMLHANDBOOK *OFF
KDE4_KDECONFIG_EXECUTABLE */usr/bin/kde4-config
KDE4_PLASMA_OPENGL_FOUND */usr/include/plasma/glapplet.h
KDE4_USE_COMMON_CMAKE_PACKAGE_ *ON
KOPETE_INCLUDE_DIR */usr/include
KOPETE_LIBRARIES */usr/lib/libkopete.so
LIBRARY_OUTPUT_PATH *
LIB_SUFFIX *
QT_QMAKE_EXECUTABLE */usr/bin/qmake


probably " CMAKE_INSTALL_PREFIX */usr/local" should be changed?

i already tried
Quote:
cp /usr/local/lib/kde4/kopete_irc.so /usr/include/
cp /usr/local/lib/kde4/kopete_irc.so /usr/lib/


obviously i am all new to kopete and how the folders of kde work exactly.. bear with me! :-)

manuel

Report

C

cyberbeat

10 years ago

yes, change "/usr/local" to "/usr" in ccmake. then "generate" the makefiles. then do "make". then

a) sudo make install

or (if you are able to install DEB packages):

b) cpack -G DEB (then a deb package should be created, which you should be able to install with your distributions package tools)

Report

krzywda

9 years ago

i dont kno how to install it, mayby it very easy so meyby somone put here command to paste in terminal ?

grek@grek-laptop:/tmp/irc$ cpack -G DEB
CPack Error: CPack project name not specified

Report

bugmenot1234

10 years ago

yay, that did the trick!
thank you a lot, all is working now!
i wonder why i seem to be the first one to have these problems..

thank you for your quick and professional help!

manuel

Report

bugmenot1234

10 years ago

thank you for your quick help.
kopete is in its default konfiguration, out-of-the-kubuntu-box. binary is /usr/bin/kopete with many .so files in /usr/lib and /usr/lib/kde4

ccmake not installed. is it necessary to kompile kopete to add a new plugin? isnt exactly the sense of a plugin..
in short, where are (additional) plugins registered in kopete?

thanks again,

manuel

Report

HobbyBlobby

10 years ago

I get some compiler error like this:

/home/HobbyBlobby/package/irc/ircaccount.cpp: In constructor ‘IRCAccount::IRCAccount(IRCProtocol*, const QString&)’:
/home/HobbyBlobby/package/irc/ircaccount.cpp:156: error: ‘class Irc::Session’ has no member named ‘connectSlotsByName’

Full output at: http://pastebin.com/m263c4ff5

Thanks for help.

Report

10 years ago

0.1.2: better handling (gui updates) for large channels/server-messages, work on kopete modifications
0.1.1: cmakefile changes
0.1: The first version supports only a minimal feature set, some things are still missing, and the code has to be refactored for the next version.

12345678910
product-maker Base: 4 x 5.0 Ratings
dieu
Nov 26 2009
File (click to download) Version Description PackagetypeArchitectureRelease Channel Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.1.2
updated Dec 23 2009
added Oct 13 2009
downloads 24h
0
mediaviews 24h 0
pageviews 24h 1
System Tags app software